const actions = {
    notify({ commit }, payload) {
        openerp.web.notification.do_warn('Atención', payload)
    },
    initSale({ commit, dispatch }, payload) {
        commit('setPosInstance', payload)

        let promises = [
            dispatch('fetchCompany'),
            dispatch('fetchCurrencies'),
            dispatch('fetchProducts'),
            dispatch('fetchCustomers')
        ]

        Promise.all(promises).then(() => {
            console.log('loaded')
        }).catch(error => {
            console.log(error)
        })
    },
    completeSale({ getters }) {
        let pos = new openerp.web.Model('eiru.pos')
        pos.call('process_pos_order', [
            getters.getCartItems,
            getters.getSelectedCustomer.id
        ], {
            context: new openerp.web.CompoundContext()
        }).then(response => {
            let invoice = response

            let promise = getters.getPosInstance.do_action({
                name: 'Factura ' + invoice.reference,
                type: 'ir.actions.act_window',
                res_model: 'account.voucher',
                views: [[invoice.view_id, 'form']],
                target: 'new',
                nodestroy: true,
                context: {
                    payment_expected_currency: invoice.currency_id,
                    default_partner_id: invoice.partner_account_id,
                    default_amount: invoice.amount,
                    default_reference: invoice.name,
                    close_after_process: true,
                    invoice_type: invoice.invoice_type,
                    invoice_id: invoice.id,
                    default_type: invoice.default_type,
                    type: invoice.type
                }
            })

            promise.pipe(() =>  {
                console.log(' ok')
            })
        }).fail(error => {
            console.log(error)
        })
    }
}

export default actions